Bug 187056 - astro/sunclock: Update MASTER_SITES
Summary: astro/sunclock: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-25 18:10 UTC by tkato432
Modified: 2014-02-27 09:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.01 KB, patch)
2014-02-25 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-25 18:10:06 UTC
- Update MASTER_SITES
Comment 1 Edwin Groothuis freebsd_committer 2014-02-25 18:14:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-02-27 09:23:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-27 09:23:08 UTC
Author: miwi
Date: Thu Feb 27 09:22:59 2014
New Revision: 346299
URL: http://svnweb.freebsd.org/changeset/ports/346299
QAT: https://qat.redports.org/buildarchive/r346299/

Log:
  - Update MASTER_SITES
  - Stage support
  
  PR:		187056

Modified:
  head/astro/sunclock/Makefile
  head/astro/sunclock/distinfo

Modified: head/astro/sunclock/Makefile
==============================================================================
--- head/astro/sunclock/Makefile	Thu Feb 27 09:22:29 2014	(r346298)
+++ head/astro/sunclock/Makefile	Thu Feb 27 09:22:59 2014	(r346299)
@@ -4,20 +4,19 @@
 PORTNAME=	sunclock
 PORTVERSION=	3.57
 CATEGORIES=	astro x11-clocks
-MASTER_SITES=	http://www.arvernes.com/files/jpd/ \
+MASTER_SITES=	DEBIAN
+DISTNAME=	${PORTNAME}_${PORTVERSION}.orig
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Shows which portion of the Earth's surface is illuminated by the Sun
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-07
-
 LICENSE=	GPLv2
 
 LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg \
 		libpng15.so:${PORTSDIR}/graphics/png
 
-USE_BZIP2=	yes
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
 USE_XORG=	xpm
 
 CPPFLAGS+=	$$(libpng-config --I_opts) \
@@ -27,8 +26,6 @@ CPPFLAGS+=	$$(libpng-config --I_opts) \
 LDFLAGS+=	$$(libpng-config --L_opts) \
 		-L${LOCALBASE}/lib
 
-MAN1=		sunclock.1
-
 post-patch:
 	@cd ${WRKSRC} && ${SED} -e \
 		'/^DESTDIR/s|=.*|=${PREFIX}| ; \
@@ -52,19 +49,24 @@ post-patch:
 		's|gzFile \* fd;|gzFile fd;|' ${WRKSRC}/readvmf.c
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/sunclock ${STAGEDIR}${PREFIX}/bin
-	${INSTALL_MAN} ${WRKSRC}/sunclock.1 ${STAGEDIR}${MANPREFIX}/man/man1
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} sunclock \
+		${STAGEDIR}${PREFIX}/bin)
+	(cd ${WRKSRC} && ${INSTALL_MAN} sunclock.1 \
+		${STAGEDIR}${MANPREFIX}/man/man1)
 	@${MKDIR} ${STAGEDIR}${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/Sunclockrc ${STAGEDIR}${DATADIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} Sunclockrc \
+		${STAGEDIR}${DATADIR})
 	@${MKDIR} ${STAGEDIR}${DATADIR}/earthmaps/vmf
-	${INSTALL_DATA} ${WRKSRC}/vmf/*.vmf ${STAGEDIR}${DATADIR}/earthmaps/vmf
+	(cd ${WRKSRC}/vmf && ${INSTALL_DATA} *.vmf \
+		${STAGEDIR}${DATADIR}/earthmaps/vmf)
 	@${GZIP_CMD} ${STAGEDIR}${DATADIR}/earthmaps/vmf/*.vmf
 	@${MKDIR} ${STAGEDIR}${DATADIR}/i18n
-	${INSTALL_DATA} ${WRKSRC}/i18n/Sunclock.?? ${STAGEDIR}${DATADIR}/i18n
-	${INSTALL_PROGRAM} ${WRKSRC}/editkit/emx ${STAGEDIR}${PREFIX}/bin
+	(cd ${WRKSRC}/i18n && ${INSTALL_DATA} Sunclock.?? \
+		${STAGEDIR}${DATADIR}/i18n)
+	(cd ${WRKSRC}/editkit && ${INSTALL_PROGRAM} emx \
+		${STAGEDIR}${PREFIX}/bin)
 	@${MKDIR} ${STAGEDIR}${DATADIR}/editkit
-	${INSTALL_DATA} ${WRKSRC}/editkit/MANUAL.emacs ${STAGEDIR}${DATADIR}/editkit
-	${INSTALL_DATA} ${WRKSRC}/editkit/README ${STAGEDIR}${DATADIR}/editkit
-	${INSTALL_DATA} ${WRKSRC}/editkit/emxrc ${STAGEDIR}${DATADIR}/editkit
+	(cd ${WRKSRC}/editkit && ${INSTALL_DATA} MANUAL.emacs README emxrc \
+		${STAGEDIR}${DATADIR}/editkit)
 
 .include <bsd.port.mk>

Modified: head/astro/sunclock/distinfo
==============================================================================
--- head/astro/sunclock/distinfo	Thu Feb 27 09:22:29 2014	(r346298)
+++ head/astro/sunclock/distinfo	Thu Feb 27 09:22:59 2014	(r346299)
@@ -1,2 +1,2 @@
-SHA256 (sunclock-3.57.tar.bz2) = 4328200ceaa31160e901fb855d664033566d72b26a90605acc5d0ed9365402be
-SIZE (sunclock-3.57.tar.bz2) = 1325138
+SHA256 (sunclock_3.57.orig.tar.gz) = f3b3499b4a84c7a31411d2a9043e2d9171b745ec29a991ef9930ce582b9d41ab
+SIZE (sunclock_3.57.orig.tar.gz) = 1571073
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"